<?
require "../conexion/conectar.php";
require("../libs/funciones.php");

conectar();
$query="select rfcemisor,serie,folio,uuid,fecha_pago,fecharecibido,fechadocto,archivoxml,archivopdf,rfc_receptor,total,id from recibedoce where fecha_pago<>'0000-00-00'";
$result = mysql_query($query);
if(mysql_num_rows($result) > 0){
	while($tmp=mysql_fetch_array($result)){
	
			$fecharecibido=$tmp["fecharecibido"];
			$fechadocto=$tmp["fechadocto"];
			$fechapago=$tmp['fecha_pago'];
			$archivoxml=$tmp["archivoxml"];
			$archivopdf=$tmp["archivopdf"];
			$rfc_receptor=$tmp["rfc_receptor"];
			$totalFactura=$tmp["total"];
			$idDoc=$tmp["id"];
			
			$stDoc="";
		
			if(substr($tmp["fechadocto"],0,4) < substr($fechapago,0,4)){
				$stDoc="_EJERCICIOANT";
			}else if(substr($tmp["fechadocto"],5,2) < substr($fechapago,5,2)){
				$stDoc="_MESANT";
			}
			
			$info = pathinfo($archivoxml);
			$aXML_OLD = basename($archivoxml,'.'.$info['extension']).".xml";
			$aXML = basename($archivoxml,'.'.$info['extension']).$stDoc."_".$idDoc.".xml";
			$info = pathinfo($archivopdf);
			$aPDF = basename($archivopdf,'.'.$info['extension']).$stDoc."_".$idDoc.".pdf";
			$aPDF_OLD = basename($archivopdf,'.'.$info['extension']).".pdf";

		if(!$RUTA_ALMACEN_PAGADAS=trim(getINI("RUTA_ALMACEN_PAGADAS=","../config.ini"))){
			echo "Falta una configuracion en el sistema.<br/>Llame al administrador del sistema";exit;
		}
		
		if(!$RUTA_ALMACEN_PAGADAS_OLD=trim(getINI("RUTA_ALMACEN_PAGADAS=","../config.ini"))){
			echo "Falta una configuracion en el sistema.<br/>Llame al administrador del sistema";exit;
		}
		

		$arrVars = array("<<RFCRECEPTOR>>","<<RFCEMISOR>>","<<TIPODOCTO>>","<<ANIO>>","<<MES>>","<<DIA>>");
		
		$arrVals = array($rfc_receptor,$rfcemisor,$tipodocto,substr($fechapago,0,4),substr($fechapago,5,2),substr($fechapago,8,2));
		
		$arrVals_OLD = array($rfc_receptor,$rfcemisor,$tipodocto,substr($fecharecibido,0,4),substr($fecharecibido,5,2),substr($fecharecibido,8,2));
		
		$RUTA_ALMACEN_PAGADAS=str_replace($arrVars,$arrVals,$RUTA_ALMACEN_PAGADAS);
		$RUTA_ALMACEN_PAGADAS_OLD=str_replace($arrVars,$arrVals_OLD,str_replace("<<DIA>>","",$RUTA_ALMACEN_PAGADAS_OLD));
		
		//echo $RUTA_ALMACEN_PAGADAS.$aXML;exit;
		//echo $RUTA_ALMACEN_PAGADAS_OLD.$aXML_OLD;exit;
		
		if(!is_dir(trim($RUTA_ALMACEN_PAGADAS))){
			mkdir($RUTA_ALMACEN_PAGADAS,755,true);
		}
		
		//echo $RUTA_ALMACEN_PAGADAS_OLD.$aXML_OLD."<br/>";
		//echo $RUTA_ALMACEN_PAGADAS.$aXML;exit;
		if(file_exists($RUTA_ALMACEN_PAGADAS_OLD.$aXML_OLD)){
			if(!copy($RUTA_ALMACEN_PAGADAS_OLD.$aXML_OLD,$RUTA_ALMACEN_PAGADAS.$aXML)){
				echo "Hubo un error al copiar el XML. Intente nuevamente.";
				exit;
			}else{
				unlink($RUTA_ALMACEN_PAGADAS_OLD.$aXML_OLD);
			}
		}
		//echo $RUTA_ALMACEN_PAGADAS_OLD.$aPDF_OLD."<br/>";
		if(file_exists($RUTA_ALMACEN_PAGADAS_OLD.$aPDF_OLD)){
			if(!copy($RUTA_ALMACEN_PAGADAS_OLD.$aPDF_OLD,$RUTA_ALMACEN_PAGADAS.$aPDF)){
				echo "Hubo un error al copiar el PDF. Intente nuevamente";
				exit;
			}else{
				unlink($RUTA_ALMACEN_PAGADAS_OLD.$aPDF_OLD);
			}
		}
	}//while
}
desconectar();

function mes_siguiente($fecha,$mes,$dias,$mes_actual){
    if(!$mes_actual){
        $dias = $dias-1;
        $fechaS = date("Y-m-d", strtotime("$fecha 1 month"));
        $afechaS = explode('-',$fechaS);
        $fechaS=$afechaS[0]."-".$afechaS[1]."-01";
        $fechaS = date("Y-m-d", strtotime("$fechaS $mes month"));
        $fechaS = date("Y-m-d", strtotime("$fechaS $dias days"));
    }else{
        $fechaS = date("Y-m-d", strtotime("$fecha $mes month"));
        $fechaS = date("Y-m-d", strtotime("$fechaS $dias days"));
    }
    
    return $fechaS;
}
function valida_fecha($fechaI){
    $aFechaI = explode("-", $fechaI);
    $fechaHoy = date("Y-m-d");
    $aFechaF = explode("-", $fechaHoy);
    
    $yearFechaI = (integer) $aFechaI[0];
    $mesFechaI = (integer) $aFechaI[1];
    $diaFechaI = (integer) $aFechaI[2];
    
    $yearFechaF = (integer) $aFechaF[0];
    $mesFechaF = (integer) $aFechaF[1];
    $diaFechaF = (integer) $aFechaF[2];
    
    
       //$yearFechaI -> siguiente
        //$yearFechaF -> Hoy
    if($yearFechaI > $yearFechaF){
        return 1;
    }elseif($yearFechaI < $yearFechaF){
        return 0;
    }else{ 
        
        if($mesFechaI > $mesFechaF){
            return 1;
        }elseif($mesFechaI < $mesFechaF){
            return 0;
        }else{
            if($diaFechaI > $diaFechaF){
                return 1;
            }elseif($diaFechaI == $diaFechaF){
                return 1;
            }else{
                return 0;
            }
        }
    }
}

?>
<script>cargaPagos();</script>